Subject: Re: Why is gcc 3.2 prerelease?
From: [email-masked]
To: "Bruce Adams [TEPG Sunbury]" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 5 Mar 2003 16:19:00 +0100

On Wednesday, March 5, 2003 at 10:24:55, Bruce Adams wrote:
[...]
> The reason I ask is that I need to use gcc 3.0 for its
> better ISO C++ compliance and STL but I'm having a lot of
> problems with programs compiling (and linting) perfectly
> but crashing when run.

I am compiling a project with ~26k LOCs and all problems
showing up when switching to gcc-3.2*/cygwin were actually
home-grown, but did not show up earlier on other systems /
gcc-2.95.2, i.e. uninitialized memory read, order of static
global constructor calls, accessing freed memory! C++ is
full of traps ... ;/

Purify did a good job in finding most of them, too bad that
there are no nice GNU equivalent. 

Robert

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/